# DCTF Beta

Decentralized CTF engine, used by CCTF

Testnet deployment on Moonbase Alpha: https://moonbase.moonscan.io/address/0x919f68cc35ce5d49a45c94dc44e7bf444f9a7531

Contributors: six, Silur, Anonz team, Metafaka team, BMEta team

# Workshop at HITB 2023

We will go through a fast intro to Web3 and how to hack DCTF. Anyone present at HITB 2023 Phuket, feel free to ask user six at the Crypto Village desk. Agenda:

- What is blockchain/web3/other buzzwords and the tech behind?
    - Consensus, RPoW, PoW, PoS
    - LibP2P and nodes
    - Solidity, js and rust (where and what and why?)
    - Substrate
    - ECDSA logic, signing, basics
- Logic of DCTF
- Resources for hacking DCTF
- Next steps for CCTF and decentralized community

This is a free flow workshop. Six can explain these you in 20 mins, but vibes will tell how long you stay and hack.

For generating the ECDSA signatures and message hashes, use: https://git.hsbp.org/six/eth_keygen/src/branch/master/ethkeygen.py

### Short-term ToDo

- [ ] Update ABI
- [ ] Check and fix FE - contract integration
- [ ] Add FE missing functions
- [ ] Re-architect in a way we don't need to redeploy